Package org.duckdb

## Enum DuckDBColumnType

- java.lang.Object
- - java.lang.Enum<DuckDBColumnType>
  - - org.duckdb.DuckDBColumnType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DuckDBColumnType>`

    public enum DuckDBColumnType
    extends java.lang.Enum<DuckDBColumnType>

### Enum Constant Summary

Enum Constants
`ARRAY`
`BIGINT`
`BIT`
`BLOB`
`BOOLEAN`
`DATE`
`DECIMAL`
`DOUBLE`
`ENUM`
`FLOAT`
`HUGEINT`
`INTEGER`
`INTERVAL`
`JSON`
`LIST`
`MAP`
`SMALLINT`
`STRUCT`
`TIME`
`TIME_WITH_TIME_ZONE`
`TIMESTAMP`
`TIMESTAMP_MS`
`TIMESTAMP_NS`
`TIMESTAMP_S`
`TIMESTAMP_WITH_TIME_ZONE`
`TINYINT`
`UBIGINT`
`UHUGEINT`
`UINTEGER`
`UNION`
`UNKNOWN`
`USMALLINT`
`UTINYINT`
`UUID`
`VARCHAR`

### Method Summary

All Methods Static Methods Concrete Methods
`static DuckDBColumnType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DuckDBColumnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOLEAN

    public static final DuckDBColumnType BOOLEAN

#### TINYINT

    public static final DuckDBColumnType TINYINT

#### SMALLINT

    public static final DuckDBColumnType SMALLINT

#### INTEGER

    public static final DuckDBColumnType INTEGER

#### BIGINT

    public static final DuckDBColumnType BIGINT

#### UTINYINT

    public static final DuckDBColumnType UTINYINT

#### USMALLINT

    public static final DuckDBColumnType USMALLINT

#### UINTEGER

    public static final DuckDBColumnType UINTEGER

#### UBIGINT

    public static final DuckDBColumnType UBIGINT

#### HUGEINT

    public static final DuckDBColumnType HUGEINT

#### UHUGEINT

    public static final DuckDBColumnType UHUGEINT

#### FLOAT

    public static final DuckDBColumnType FLOAT

#### DOUBLE

    public static final DuckDBColumnType DOUBLE

#### DECIMAL

    public static final DuckDBColumnType DECIMAL

#### VARCHAR

    public static final DuckDBColumnType VARCHAR

#### BLOB

    public static final DuckDBColumnType BLOB

#### TIME

    public static final DuckDBColumnType TIME

#### DATE

    public static final DuckDBColumnType DATE

#### TIMESTAMP

    public static final DuckDBColumnType TIMESTAMP

#### TIMESTAMP_MS

    public static final DuckDBColumnType TIMESTAMP_MS

#### TIMESTAMP_NS

    public static final DuckDBColumnType TIMESTAMP_NS

#### TIMESTAMP_S

    public static final DuckDBColumnType TIMESTAMP_S

#### TIMESTAMP_WITH_TIME_ZONE

    public static final DuckDBColumnType TIMESTAMP_WITH_TIME_ZONE

#### BIT

    public static final DuckDBColumnType BIT

#### TIME_WITH_TIME_ZONE

    public static final DuckDBColumnType TIME_WITH_TIME_ZONE

#### INTERVAL

    public static final DuckDBColumnType INTERVAL

#### LIST

    public static final DuckDBColumnType LIST

#### STRUCT

    public static final DuckDBColumnType STRUCT

#### ENUM

    public static final DuckDBColumnType ENUM

#### UUID

    public static final DuckDBColumnType UUID

#### JSON

    public static final DuckDBColumnType JSON

#### MAP

    public static final DuckDBColumnType MAP

#### ARRAY

    public static final DuckDBColumnType ARRAY

#### UNKNOWN

    public static final DuckDBColumnType UNKNOWN

#### UNION

    public static final DuckDBColumnType UNION

### Method Detail

#### values

    public static DuckDBColumnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DuckDBColumnType c : DuckDBColumnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DuckDBColumnType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null